﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ComboBox_Entity_Framework_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            //Fetch the records from Table using Entity Framework.
            NorthwindEntities entities = new NorthwindEntities();
            List<Customer> customers = (from customer in entities.Customers
                                        select customer).Take(4).ToList();

            //Insert the Default Item to List.
            customers.Insert(0, new Customer
            {
                CustomerID = "0",
                ContactName = "Please select"
            });

            //Assign Entity as DataSource.
            cbCustomers.DataSource = customers;
            cbCustomers.DisplayMember = "ContactName";
            cbCustomers.ValueMember = "CustomerID";
        }

        private void btnSubmit_Click(object sender, EventArgs e)
        {
            string message = "Name: " + cbCustomers.Text;
            message += Environment.NewLine;
            message += "CustomerId: " + cbCustomers.SelectedValue;
            MessageBox.Show(message);
        }
    }
}
